Skip to main content
Pulsedive uses API key authentication to secure and manage access to its threat intelligence endpoints. We recommend including your API key with every request for the best performance and highest rate limits. While you can make requests without an API key, you will encounter much stricter rate limits.

Get Your API Key

1

Access your Pulsedive account

Visit Pulsedive and log in to your account, or register for free.
2

Get your API key

Navigate to Account, then locate the API key section to retrieve your unique key.

Include the Key in Your Request

Include your API key in the key parameter in your request:
# Replace the <YOUR_API_KEY> placeholder text with your Pulsedive API key

curl "https://pulsedive.com/api/indicator.php \
  ?indicator=1.1.1.1 \
  &pretty=1 \
  &key=<YOUR_API_KEY>"

Best Practices

  • Keep your API key private: Don’t share it or commit it to source control.
  • Use an API tier that fits your needs: If you need elevated rate limits, upgrade your API plan.
  • Monitor your usage: Check your API usage in the Activity section of your Account page.